CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

视图属性 (ActiveX)

2023-1-3 01:28| 发布者: admin| 查看: 240| 评论: 0|来自: AutoCAD

摘要: 获取文档的视图集合。

获取文档的视图集合。

支持的平台:仅窗口

签名

工 务 局:

object.Views
对象

类型:数据库文档

此属性适用的对象。

属性值

只读:是的

类型:视图

文档的集合。Views

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Views()
    ' This example finds the current views collection and
    ' adds a new view to that collection.
    
    Dim viewColl As AcadViews
    Set viewColl = ThisDrawing.Views
    
    ' Create a view named "TEST" in the current drawing
    Dim viewObj As AcadView
    Set viewObj = viewColl.Add("TEST")
    MsgBox "A new view called " & viewObj.name & " has been added to the views collection.", vbInformation, "Views Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Views()
    ;; This example finds the current views collection and
    ;; adds a new view to that collection.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    (setq viewColl (vla-get-Views doc))
    
    ;; Create a view named "TEST" in the current drawing
    (setq viewObj (vla-Add viewColl "TEST"))
    (alert (strcat "A new view called " (vla-get-Name viewObj) " has been added to the views collection."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 14:11

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部